# stream_iterator.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stream_iterator.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _STREAM_ITERATOR_H

## Functions

- template<class _Tp, class _CharT, class _Traits, class _Dist> bool operator!= (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)
- template<typename _Tp, typename _CharT, typename _Traits, typename _Dist> bool operator== (const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__x, const istream_iterator< _Tp, _CharT, _Traits, _Dist > &__y)

## Function Documentation

bool std::operator!= | ( | const istream_iterator< _Tp, _CharT, _Traits, _Dist > & | __x,
|  | const istream_iterator< _Tp, _CharT, _Traits, _Dist > & | __y
| ) | `[inline]`

| Return false if x and y are both end or not end, or x and y are the same. Definition at line 135 of file stream_iterator.h.

bool std::operator== | ( | const istream_iterator< _Tp, _CharT, _Traits, _Dist > & | __x,
|  | const istream_iterator< _Tp, _CharT, _Traits, _Dist > & | __y
| ) | `[inline]`

| Return true if x and y are both end or not end, or x and y are the same. Definition at line 128 of file stream_iterator.h.